class ActionBarHandler {
    getActionbar(needToReplace, template) {
        let finalResult = [...template];
        for (let i = 0; i < needToReplace.length; i++) {
            const key = needToReplace[i].key;
            const value = needToReplace[i].value;
            const formatedKey = `{${key}}`;
            for (let y = 0; y < template.length; y++) {
                const line = template[y];
                if (!line?.includes(formatedKey))
                    continue;
                finalResult[y] = finalResult[y].replaceAll(formatedKey, needToReplace[i].value);
                if (!value)
                    delete finalResult[y];
            }
        }
        return finalResult.join('\n');
    }
}
ActionBarHandler.AUTOMATIC_WEAPONS_TEMPLATE = ['§h{name}', '§hDraw §i: §7{loadingBar}'];
ActionBarHandler.MELEE_WEAPONS_TEMPLATE = ['§h{name}', '§hDraw §i: §7{loadingBar}'];
export default ActionBarHandler;
