import * as fs from 'fs';
import * as path from 'path';

const WEAPONS_TO_REFACTOR_PATH = '../melee/instances/knifes';

async function loop(): Promise<void> {
    try {
        const files = await fs.promises.readdir(WEAPONS_TO_REFACTOR_PATH);
        console.log(files.map(fileName => '/knifes/' + fileName.replace('.ts', '')))
    } catch (err) {
        console.error(err);
    }
}

loop();
