export default class Timer {

    public ending : number = null
    public running : boolean = false

    public logs = {
        hasBeenSet : false,
        hasBeenReseted : false,
        endingValue : 0,
    }

    constructor () {

    }

    public setEnding(time : number) : Timer {
        this.ending = Date.now() + time
        this.running = true
        this.logs.hasBeenSet = true
        this.logs.endingValue = time
        return this
    }

    public freezeTime() : Timer {
        this.ending = this.ending + 10
        this.running = true
        this.logs.hasBeenSet = true
        return this
    }

    public reset() : void {
        this.ending = Date.now()
        this.running = false
        this.logs.hasBeenReseted = true
    }

    get isFinished () {
        return Date.now() >= this.ending 
    }


}
