import { Vector3 } from "@minecraft/server";

// Fonction pour calculer la distance euclidienne entre deux vecteurs 3D
export function distanceBetweenVectors(v1: Vector3, v2: Vector3): number {
    const dx = v2.x - v1.x;
    const dy = v2.y - v1.y;
    const dz = v2.z - v1.z;
  
    const distance = Math.sqrt(dx * dx + dy * dy + dz * dz);
    return distance;
  }
  