export class LoadingBar {
    constructor(timePerSquare, // in ms
    barIcon, barColors, value1, value2, value3) {
        this.timePerSquare = timePerSquare;
        this.barIcon = barIcon;
        this.barColors = barColors;
        this.value1 = value1;
        this.value2 = value2;
        this.value3 = value3;
    }
    create() {
        const timeRemaining = this.value2 - this.value3;
        this.barLength = Math.floor(this.value1 / this.timePerSquare);
        this.baseArray = Array(this.barLength).fill(this.barIcon);
        const arrayIndex = Math.floor((this.barLength * timeRemaining) / this.value1);
        this.baseArray.splice(arrayIndex <= 0 ? this.baseArray.length : arrayIndex, 0, arrayIndex <= 0 ? this.barColors.done : this.barColors.default);
        return this.barColors.done + this.baseArray.reverse().join('');
    }
    get array() {
        return this.baseArray;
    }
    get result() {
        return this.finalValue;
    }
    fill(n, color) {
        return this.baseArray.splice(n, 0, color).join('');
    }
}
