export function distanceBetweenAngles(angle1 : number, angle2 : number) {
    // Convertir les angles en radians
    const radian1 = angle1 * Math.PI / 180;
    const radian2 = angle2 * Math.PI / 180;

    // Calculer les coordonnées des points sur le cercle unité
    const x1 = Math.cos(radian1);
    const y1 = Math.sin(radian1);
    const x2 = Math.cos(radian2);
    const y2 = Math.sin(radian2);

    // Calculer la distance euclidienne entre les deux points
    const distance = Math.sqrt(Math.pow(x2 - x1, 2) + Math.pow(y2 - y1, 2));

    // Multiplication par le rayon du cercle si nécessaire
    // Par exemple, si vous voulez la distance sur un cercle de rayon R
    // const radius = R;
    // const distanceOnCircle = distance * radius;

    return distance;
}
